ScalarisVM.GetInfoResult
Date: 2016-02-29

de.zib.scalaris

## Class ScalarisVM.GetInfoResult

- java.lang.Object
- - de.zib.scalaris.ScalarisVM.GetInfoResult

- Enclosing class:
    ScalarisVM

      public static class ScalarisVM.GetInfoResult
      extends Object

  Plain old data object for results of `ScalarisVM.getInfo()`.
  Since:
    3.6
  Version:
    3.6
  Author:
    Nico Kruber, kruber@zib.de

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `erlangNode` Erlang node name.
    `String` | `erlangVersion` Erlang version string.
    `Inet4Address` | `ip` IP address to reach the Scalaris node inside the Erlang VM.
    `int` | `memTotal` Total amount of memory currently allocated.
    `int` | `port` Port to reach the Scalaris node inside the Erlang VM.
    `String` | `scalarisVersion` Scalaris version string.
    `int` | `uptime` Uptime of the Erlang VM.
    `int` | `yawsPort` Yaws port to reach the JSON API and web debug interface.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### scalarisVersion

          public final String scalarisVersion

      Scalaris version string.

    - #### erlangVersion

          public final String erlangVersion

      Erlang version string.

    - #### memTotal

          public final int memTotal

      Total amount of memory currently allocated.

    - #### uptime

          public final int uptime

      Uptime of the Erlang VM.

    - #### erlangNode

          public final String erlangNode

      Erlang node name.

    - #### ip

          public final Inet4Address ip

      IP address to reach the Scalaris node inside the Erlang VM.

    - #### port

          public final int port

      Port to reach the Scalaris node inside the Erlang VM.

    - #### yawsPort

          public final int yawsPort

      Yaws port to reach the JSON API and web debug interface.